User Management
API endpoints for user management.
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/user-management/v1/users/search
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /user-management/v1/users/search
This API searches for users based on given filters.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"properties": {
"enabled": {
"type": "boolean",
"description": "Flag to indicate if the search functionality is enabled."
},
"searchKeyword": {
"type": "string",
"description": "Keyword to search for in user data."
},
"userIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of user IDs to include in the search."
},
"product": {
"type": "object",
"properties": {
"productTitle": {
"type": "string",
"description": "Title of the product associated with the user."
},
"roles": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of roles associated with the product."
}
},
"description": "Product-related search criteria."
},
"dateFilter": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the date filter."
},
"startDate": {
"type": "string",
"description": "Start date for the date filter."
},
"endDate": {
"type": "string",
"description": "End date for the date filter."
}
}
},
"description": "List of date filters for the search."
},
"usernames": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of usernames to include in the search."
},
"sortColumn": {
"type": "string",
"description": "Column to sort the search results by."
},
"sortOrder": {
"type": "string",
"description": "Order to sort the search results (ascending or descending)."
},
"selectors": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of selectors for the search."
},
"from": {
"type": "string",
"description": "Starting point for paginated results."
},
"size": {
"type": "string",
"description": "Number of results to return per page."
},
"is2FAEnabled": {
"type": "boolean",
"description": "Flag to indicate if 2FA is enabled for the users."
}
},
"description": "Request object for user search."
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | SearchRequest |
Response
Successful response
copied![
{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "ID of the user."
},
"userName": {
"type": "string",
"description": "Username of the user."
},
"firstName": {
"type": "string",
"description": "First name of the user."
},
"lastName": {
"type": "string",
"description": "Last name of the user."
},
"realm": {
"type": "string",
"description": "Realm of the user."
},
"email": {
"type": "string",
"description": "Email address of the user."
},
"userDesc": {
"type": "string",
"description": "Description of the user."
},
"enabled": {
"type": "boolean",
"description": "Flag indicating if the user is enabled."
},
"userType": {
"type": "string",
"description": "Type of the user."
},
"legacyUserId": {
"type": "string",
"description": "Legacy ID of the user."
},
"isEmailVerified": {
"type": "boolean",
"description": "Flag indicating if the user's email is verified."
},
"createdOn": {
"type": "number",
"description": "Timestamp indicating when the user was created."
},
"appAccessCount": {
"type": "number",
"description": "Count of applications the user has access to."
},
"groupCount": {
"type": "number",
"description": "Count of groups the user is a part of."
},
"configureOtp": {
"type": "boolean",
"description": "Flag indicating if OTP is configured for the user."
},
"orgName": {
"type": "string",
"description": "Name of the organization associated with the user."
}
}
},
"description": "List of user data."
},
"status": {
"type": "boolean",
"description": "Status of the search operation."
},
"errorCode": {
"type": "string",
"description": "The HTTP status code."
},
"errorDesc": {
"type": "string",
"description": "Description of the error."
},
"warningDesc": {
"type": "string",
"description": "Description of any warnings."
},
"from": {
"type": "number",
"description": "Starting index of the returned results."
},
"size": {
"type": "number",
"description": "Number of results returned in the response."
},
"total": {
"type": "number",
"description": "Total number of results matching the search criteria."
}
},
"description": "Response object for user search."
}
]Bad request
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"status": {
"type": "integer",
"description": "The HTTP status code."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "Unauthorized response schema.",
"properties": {
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp of the response."
},
"status": {
"type": "integer",
"description": "The HTTP status code (e.g., 401)."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
},
"path": {
"type": "string",
"description": "The request path that led to this response."
}
}
}
]Forbidden
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"status": {
"type": "integer",
"description": "The HTTP status code."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"status": {
"type": "integer",
"description": "The HTTP status code."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful response | SearchResponse |
| 400 | Bad request | ErrorResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 403 | Forbidden | ErrorResponse |
| 500 | Internal Server Error | ErrorResponse |
SCIM
API endpoints specifically designed for User Management using the SCIM protocol. This includes operations related to user management.
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/user-management/scim/v2/Users
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /user-management/scim/v2/Users
This API retrieves the list of all the users.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| filter | query | string | false |
Response
Successful response
copied![
{
"type": "object",
"description": "Schema representing a list of SCIM Users.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"id": {
"type": "string",
"description": "The unique identifier for the User List."
},
"Resources": {
"type": "array",
"description": "List of SCIM Users.",
"items": {
"ScimUser": {
"type": "object",
"description": "Schema representing a SCIM User.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"id": {
"type": "string",
"description": "The unique identifier for the User."
},
"userName": {
"type": "string",
"description": "Unique identifier for the User, typically used by the user to directly authenticate to the service provider."
},
"name": {
"type": "object",
"description": "User's name.",
"properties": {
"familyName": {
"type": "string",
"description": "User's family name."
},
"givenName": {
"type": "string",
"description": "User's given name."
},
"middleName": {
"type": "string",
"description": "User's middle name."
}
}
},
"displayName": {
"type": "string",
"description": "User's display name."
},
"title": {
"type": "string",
"description": "User's title or job position."
},
"userType": {
"type": "string",
"description": "Type of user."
},
"active": {
"type": "boolean",
"description": "Indicates whether the user is active."
},
"emails": {
"type": "array",
"description": "User's email addresses.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Email address."
},
"type": {
"type": "string",
"description": "Type of email address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the email address is the primary one."
}
}
}
},
"photos": {
"type": "array",
"description": "User's photos.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "URL of the photo."
},
"type": {
"type": "string",
"description": "Type of photo."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the photo is the primary one."
}
}
}
},
"phoneNumbers": {
"type": "array",
"description": "User's phone numbers.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Phone number."
},
"type": {
"type": "string",
"description": "Type of phone number."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the phone number is the primary one."
}
}
}
},
"addresses": {
"type": "array",
"description": "User's addresses.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Type of address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the address is the primary one."
},
"formatted": {
"type": "string",
"description": "Formatted address."
},
"locality": {
"type": "string",
"description": "Locality or city of the address."
},
"region": {
"type": "string",
"description": "Region or state of the address."
}
}
}
},
"roles": {
"type": "array",
"description": "An array representing the roles assigned to the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The name of the role assigned to the user."
},
"type": {
"type": "string",
"description": "The product associated with the role."
}
}
}
},
"groups": {
"type": "array",
"description": "An array representing the tenants associated with the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The unique refnum identifying the tenant."
},
"display": {
"type": "string",
"description": "The name of the tenant."
}
}
}
},
"entitlements": {
"type": "array",
"description": "User's entitlements.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Entitlement value."
},
"display": {
"type": "string",
"description": "Display name of the entitlement."
},
"type": {
"type": "string",
"description": "Type of entitlement."
}
}
}
}
}
}
}
},
"startIndex": {
"type": "integer",
"format": "int32",
"description": "Index of the first result in the current set of search results."
},
"itemsPerPage": {
"type": "integer",
"format": "int32",
"description": "Number of items per page in the current set of search results."
},
"totalResults": {
"type": "integer",
"format": "int32",
"description": "Total number of results."
},
"externalId": {
"type": "string",
"description": "External identifier for the User List."
},
"meta": {
"type": "object",
"description": "Additional metadata for the User List.",
"properties": {
"createdDate": {
"type": "string",
"description": "Date when the User List was created."
}
}
}
}
}
]Bad request
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "Unauthorized response schema.",
"properties": {
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp of the response."
},
"status": {
"type": "integer",
"description": "The HTTP status code (e.g., 401)."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
},
"path": {
"type": "string",
"description": "The request path that led to this response."
}
}
}
]Forbidden
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful response | ScimUserList |
| 400 | Bad request | ErrorResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 403 | Forbidden | ErrorResponse |
| 500 | Internal Server Error | ErrorResponse |
post
copied!# You can also use wgetcurl -X POST https://api-qa.phenompro.com/user-management/scim/v2/Users
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'POST /user-management/scim/v2/Users
This API creates a user.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Schema representing a SCIM User.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"id": {
"type": "string",
"description": "The unique identifier for the User."
},
"userName": {
"type": "string",
"description": "Unique identifier for the User, typically used by the user to directly authenticate to the service provider."
},
"name": {
"type": "object",
"description": "User's name.",
"properties": {
"familyName": {
"type": "string",
"description": "User's family name."
},
"givenName": {
"type": "string",
"description": "User's given name."
},
"middleName": {
"type": "string",
"description": "User's middle name."
}
}
},
"displayName": {
"type": "string",
"description": "User's display name."
},
"title": {
"type": "string",
"description": "User's title or job position."
},
"userType": {
"type": "string",
"description": "Type of user."
},
"active": {
"type": "boolean",
"description": "Indicates whether the user is active."
},
"emails": {
"type": "array",
"description": "User's email addresses.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Email address."
},
"type": {
"type": "string",
"description": "Type of email address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the email address is the primary one."
}
}
}
},
"photos": {
"type": "array",
"description": "User's photos.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "URL of the photo."
},
"type": {
"type": "string",
"description": "Type of photo."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the photo is the primary one."
}
}
}
},
"phoneNumbers": {
"type": "array",
"description": "User's phone numbers.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Phone number."
},
"type": {
"type": "string",
"description": "Type of phone number."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the phone number is the primary one."
}
}
}
},
"addresses": {
"type": "array",
"description": "User's addresses.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Type of address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the address is the primary one."
},
"formatted": {
"type": "string",
"description": "Formatted address."
},
"locality": {
"type": "string",
"description": "Locality or city of the address."
},
"region": {
"type": "string",
"description": "Region or state of the address."
}
}
}
},
"roles": {
"type": "array",
"description": "An array representing the roles assigned to the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The name of the role assigned to the user."
},
"type": {
"type": "string",
"description": "The product associated with the role."
}
}
}
},
"groups": {
"type": "array",
"description": "An array representing the tenants associated with the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The unique refnum identifying the tenant."
},
"display": {
"type": "string",
"description": "The name of the tenant."
}
}
}
},
"entitlements": {
"type": "array",
"description": "User's entitlements.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Entitlement value."
},
"display": {
"type": "string",
"description": "Display name of the entitlement."
},
"type": {
"type": "string",
"description": "Type of entitlement."
}
}
}
}
}
}
]Request Parameters
| Type | Name |
|---|---|
| application/json | ScimUser |
Response
Successful response
copied![
{
"type": "object",
"description": "Schema representing a SCIM User.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"id": {
"type": "string",
"description": "The unique identifier for the User."
},
"userName": {
"type": "string",
"description": "Unique identifier for the User, typically used by the user to directly authenticate to the service provider."
},
"name": {
"type": "object",
"description": "User's name.",
"properties": {
"familyName": {
"type": "string",
"description": "User's family name."
},
"givenName": {
"type": "string",
"description": "User's given name."
},
"middleName": {
"type": "string",
"description": "User's middle name."
}
}
},
"displayName": {
"type": "string",
"description": "User's display name."
},
"title": {
"type": "string",
"description": "User's title or job position."
},
"userType": {
"type": "string",
"description": "Type of user."
},
"active": {
"type": "boolean",
"description": "Indicates whether the user is active."
},
"emails": {
"type": "array",
"description": "User's email addresses.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Email address."
},
"type": {
"type": "string",
"description": "Type of email address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the email address is the primary one."
}
}
}
},
"photos": {
"type": "array",
"description": "User's photos.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "URL of the photo."
},
"type": {
"type": "string",
"description": "Type of photo."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the photo is the primary one."
}
}
}
},
"phoneNumbers": {
"type": "array",
"description": "User's phone numbers.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Phone number."
},
"type": {
"type": "string",
"description": "Type of phone number."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the phone number is the primary one."
}
}
}
},
"addresses": {
"type": "array",
"description": "User's addresses.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Type of address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the address is the primary one."
},
"formatted": {
"type": "string",
"description": "Formatted address."
},
"locality": {
"type": "string",
"description": "Locality or city of the address."
},
"region": {
"type": "string",
"description": "Region or state of the address."
}
}
}
},
"roles": {
"type": "array",
"description": "An array representing the roles assigned to the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The name of the role assigned to the user."
},
"type": {
"type": "string",
"description": "The product associated with the role."
}
}
}
},
"groups": {
"type": "array",
"description": "An array representing the tenants associated with the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The unique refnum identifying the tenant."
},
"display": {
"type": "string",
"description": "The name of the tenant."
}
}
}
},
"entitlements": {
"type": "array",
"description": "User's entitlements.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Entitlement value."
},
"display": {
"type": "string",
"description": "Display name of the entitlement."
},
"type": {
"type": "string",
"description": "Type of entitlement."
}
}
}
}
}
}
]Bad request
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "Unauthorized response schema.",
"properties": {
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp of the response."
},
"status": {
"type": "integer",
"description": "The HTTP status code (e.g., 401)."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
},
"path": {
"type": "string",
"description": "The request path that led to this response."
}
}
}
]Forbidden
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful response | ScimUser |
| 400 | Bad request | ErrorResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 403 | Forbidden | ErrorResponse |
| 500 | Internal Server Error | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/user-management/scim/v2/Users/{userId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /user-management/scim/v2/Users/{userId}
This API retrieves a user by ID.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| userId | path | string | true |
Response
Successful response
copied![
{
"type": "object",
"description": "Schema representing a SCIM User.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"id": {
"type": "string",
"description": "The unique identifier for the User."
},
"userName": {
"type": "string",
"description": "Unique identifier for the User, typically used by the user to directly authenticate to the service provider."
},
"name": {
"type": "object",
"description": "User's name.",
"properties": {
"familyName": {
"type": "string",
"description": "User's family name."
},
"givenName": {
"type": "string",
"description": "User's given name."
},
"middleName": {
"type": "string",
"description": "User's middle name."
}
}
},
"displayName": {
"type": "string",
"description": "User's display name."
},
"title": {
"type": "string",
"description": "User's title or job position."
},
"userType": {
"type": "string",
"description": "Type of user."
},
"active": {
"type": "boolean",
"description": "Indicates whether the user is active."
},
"emails": {
"type": "array",
"description": "User's email addresses.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Email address."
},
"type": {
"type": "string",
"description": "Type of email address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the email address is the primary one."
}
}
}
},
"photos": {
"type": "array",
"description": "User's photos.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "URL of the photo."
},
"type": {
"type": "string",
"description": "Type of photo."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the photo is the primary one."
}
}
}
},
"phoneNumbers": {
"type": "array",
"description": "User's phone numbers.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Phone number."
},
"type": {
"type": "string",
"description": "Type of phone number."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the phone number is the primary one."
}
}
}
},
"addresses": {
"type": "array",
"description": "User's addresses.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Type of address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the address is the primary one."
},
"formatted": {
"type": "string",
"description": "Formatted address."
},
"locality": {
"type": "string",
"description": "Locality or city of the address."
},
"region": {
"type": "string",
"description": "Region or state of the address."
}
}
}
},
"roles": {
"type": "array",
"description": "An array representing the roles assigned to the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The name of the role assigned to the user."
},
"type": {
"type": "string",
"description": "The product associated with the role."
}
}
}
},
"groups": {
"type": "array",
"description": "An array representing the tenants associated with the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The unique refnum identifying the tenant."
},
"display": {
"type": "string",
"description": "The name of the tenant."
}
}
}
},
"entitlements": {
"type": "array",
"description": "User's entitlements.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Entitlement value."
},
"display": {
"type": "string",
"description": "Display name of the entitlement."
},
"type": {
"type": "string",
"description": "Type of entitlement."
}
}
}
}
}
}
]Bad request
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "Unauthorized response schema.",
"properties": {
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp of the response."
},
"status": {
"type": "integer",
"description": "The HTTP status code (e.g., 401)."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
},
"path": {
"type": "string",
"description": "The request path that led to this response."
}
}
}
]Forbidden
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful response | ScimUser |
| 400 | Bad request | ErrorResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 403 | Forbidden | ErrorResponse |
| 500 | Internal Server Error | ErrorResponse |
put
copied!# You can also use wgetcurl -X PUT https://api-qa.phenompro.com/user-management/scim/v2/Users/{userId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'PUT /user-management/scim/v2/Users/{userId}
This API updates a user by ID.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Schema representing a SCIM User.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"id": {
"type": "string",
"description": "The unique identifier for the User."
},
"userName": {
"type": "string",
"description": "Unique identifier for the User, typically used by the user to directly authenticate to the service provider."
},
"name": {
"type": "object",
"description": "User's name.",
"properties": {
"familyName": {
"type": "string",
"description": "User's family name."
},
"givenName": {
"type": "string",
"description": "User's given name."
},
"middleName": {
"type": "string",
"description": "User's middle name."
}
}
},
"displayName": {
"type": "string",
"description": "User's display name."
},
"title": {
"type": "string",
"description": "User's title or job position."
},
"userType": {
"type": "string",
"description": "Type of user."
},
"active": {
"type": "boolean",
"description": "Indicates whether the user is active."
},
"emails": {
"type": "array",
"description": "User's email addresses.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Email address."
},
"type": {
"type": "string",
"description": "Type of email address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the email address is the primary one."
}
}
}
},
"photos": {
"type": "array",
"description": "User's photos.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "URL of the photo."
},
"type": {
"type": "string",
"description": "Type of photo."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the photo is the primary one."
}
}
}
},
"phoneNumbers": {
"type": "array",
"description": "User's phone numbers.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Phone number."
},
"type": {
"type": "string",
"description": "Type of phone number."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the phone number is the primary one."
}
}
}
},
"addresses": {
"type": "array",
"description": "User's addresses.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Type of address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the address is the primary one."
},
"formatted": {
"type": "string",
"description": "Formatted address."
},
"locality": {
"type": "string",
"description": "Locality or city of the address."
},
"region": {
"type": "string",
"description": "Region or state of the address."
}
}
}
},
"roles": {
"type": "array",
"description": "An array representing the roles assigned to the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The name of the role assigned to the user."
},
"type": {
"type": "string",
"description": "The product associated with the role."
}
}
}
},
"groups": {
"type": "array",
"description": "An array representing the tenants associated with the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The unique refnum identifying the tenant."
},
"display": {
"type": "string",
"description": "The name of the tenant."
}
}
}
},
"entitlements": {
"type": "array",
"description": "User's entitlements.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Entitlement value."
},
"display": {
"type": "string",
"description": "Display name of the entitlement."
},
"type": {
"type": "string",
"description": "Type of entitlement."
}
}
}
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| userId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | ScimUser |
Response
Successful response
copied![
{
"type": "object",
"description": "Schema representing a SCIM User.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"id": {
"type": "string",
"description": "The unique identifier for the User."
},
"userName": {
"type": "string",
"description": "Unique identifier for the User, typically used by the user to directly authenticate to the service provider."
},
"name": {
"type": "object",
"description": "User's name.",
"properties": {
"familyName": {
"type": "string",
"description": "User's family name."
},
"givenName": {
"type": "string",
"description": "User's given name."
},
"middleName": {
"type": "string",
"description": "User's middle name."
}
}
},
"displayName": {
"type": "string",
"description": "User's display name."
},
"title": {
"type": "string",
"description": "User's title or job position."
},
"userType": {
"type": "string",
"description": "Type of user."
},
"active": {
"type": "boolean",
"description": "Indicates whether the user is active."
},
"emails": {
"type": "array",
"description": "User's email addresses.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Email address."
},
"type": {
"type": "string",
"description": "Type of email address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the email address is the primary one."
}
}
}
},
"photos": {
"type": "array",
"description": "User's photos.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "URL of the photo."
},
"type": {
"type": "string",
"description": "Type of photo."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the photo is the primary one."
}
}
}
},
"phoneNumbers": {
"type": "array",
"description": "User's phone numbers.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Phone number."
},
"type": {
"type": "string",
"description": "Type of phone number."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the phone number is the primary one."
}
}
}
},
"addresses": {
"type": "array",
"description": "User's addresses.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Type of address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the address is the primary one."
},
"formatted": {
"type": "string",
"description": "Formatted address."
},
"locality": {
"type": "string",
"description": "Locality or city of the address."
},
"region": {
"type": "string",
"description": "Region or state of the address."
}
}
}
},
"roles": {
"type": "array",
"description": "An array representing the roles assigned to the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The name of the role assigned to the user."
},
"type": {
"type": "string",
"description": "The product associated with the role."
}
}
}
},
"groups": {
"type": "array",
"description": "An array representing the tenants associated with the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The unique refnum identifying the tenant."
},
"display": {
"type": "string",
"description": "The name of the tenant."
}
}
}
},
"entitlements": {
"type": "array",
"description": "User's entitlements.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Entitlement value."
},
"display": {
"type": "string",
"description": "Display name of the entitlement."
},
"type": {
"type": "string",
"description": "Type of entitlement."
}
}
}
}
}
}
]Bad request
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "Unauthorized response schema.",
"properties": {
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp of the response."
},
"status": {
"type": "integer",
"description": "The HTTP status code (e.g., 401)."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
},
"path": {
"type": "string",
"description": "The request path that led to this response."
}
}
}
]Forbidden
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful response | ScimUser |
| 400 | Bad request | ErrorResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 403 | Forbidden | ErrorResponse |
| 500 | Internal Server Error | ErrorResponse |
patch
copied!# You can also use wgetcurl -X PATCH https://api-qa.phenompro.com/user-management/scim/v2/Users/{userId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'PATCH /user-management/scim/v2/Users/{userId}
This API updates the given fields of a user by ID.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Body Parameter
copied![
{
"type": "object",
"description": "Schema representing a SCIM Patch Request.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"operations": {
"type": "array",
"description": "List of patch operations.",
"items": {
"type": "object",
"properties": {
"op": {
"type": "string",
"description": "Operation type (add, remove, replace)."
},
"path": {
"type": "string",
"description": "Path to the attribute being patched."
},
"value": {
"description": "New value for the attribute being patched."
}
}
}
}
}
}
]Parameters
| Name | In | Type | Required |
|---|---|---|---|
| userId | path | string | true |
Request Parameters
| Type | Name |
|---|---|
| application/json | ScimPatchRequest |
Response
Successful response with no content
copied![]Bad request
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "Unauthorized response schema.",
"properties": {
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp of the response."
},
"status": {
"type": "integer",
"description": "The HTTP status code (e.g., 401)."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
},
"path": {
"type": "string",
"description": "The request path that led to this response."
}
}
}
]Forbidden
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 204 | Successful response with no content | |
| 400 | Bad request | ErrorResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 403 | Forbidden | ErrorResponse |
| 500 | Internal Server Error | ErrorResponse |
delete
copied!# You can also use wgetcurl -X DELETE https://api-qa.phenompro.com/user-management/scim/v2/Users/{userId}
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'DELETE /user-management/scim/v2/Users/{userId}
This API deletes a user by ID.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| userId | path | string | true |
Response
Successful response with no content
copied![]Bad request
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "Unauthorized response schema.",
"properties": {
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp of the response."
},
"status": {
"type": "integer",
"description": "The HTTP status code (e.g., 401)."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
},
"path": {
"type": "string",
"description": "The request path that led to this response."
}
}
}
]Forbidden
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 204 | Successful response with no content | |
| 400 | Bad request | ErrorResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 403 | Forbidden | ErrorResponse |
| 500 | Internal Server Error | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/user-management/scim/v2/Groups
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /user-management/scim/v2/Groups
This API retrieves the list of all the groups.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Response
Successful response
copied![
{
"type": "object",
"description": "Schema representing a list of SCIM Groups.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"Resources": {
"type": "array",
"description": "List of SCIM Groups.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Group value."
},
"display": {
"type": "string",
"description": "Display name of the group."
}
}
}
},
"startIndex": {
"type": "integer",
"format": "int32",
"description": "Index of the first result in the current set of search results."
},
"itemsPerPage": {
"type": "integer",
"format": "int32",
"description": "Number of items per page in the current set of search results."
},
"totalResults": {
"type": "integer",
"format": "int32",
"description": "Total number of results."
},
"meta": {
"type": "object",
"description": "Additional metadata for the Group List.",
"properties": {
"createdDate": {
"type": "string",
"description": "Date when the Group List was created."
}
}
}
}
}
]Bad request
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "Unauthorized response schema.",
"properties": {
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp of the response."
},
"status": {
"type": "integer",
"description": "The HTTP status code (e.g., 401)."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
},
"path": {
"type": "string",
"description": "The request path that led to this response."
}
}
}
]Forbidden
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful response | ScimGroupList |
| 400 | Bad request | ErrorResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 403 | Forbidden | ErrorResponse |
| 500 | Internal Server Error | ErrorResponse |
get
copied!# You can also use wgetcurl -X GET https://api-qa.phenompro.com/user-management/scim/v2/Roles
-H 'Content-type: application/json'
-H 'Accept: application/json'
-H 'Authorization: string'GET /user-management/scim/v2/Roles
This API retrieves the list of all the roles.
Headers
| Name | In | Type | Required |
|---|---|---|---|
| Authorization | header | string | true |
Parameters
| Name | In | Type | Required |
|---|---|---|---|
| filter | query | string | false |
| startIndex | query | integer | false |
| count | query | integer | false |
| sortBy | query | string | false |
| sortOrder | query | string | false |
Response
Successful response
copied![
{
"type": "object",
"description": "Schema representing a list of SCIM Roles.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"Resources": {
"type": "array",
"description": "List of SCIM Roles.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Role value."
},
"display": {
"type": "string",
"description": "Display name of the role."
}
}
}
},
"startIndex": {
"type": "integer",
"format": "int32",
"description": "Index of the first result in the current set of search results."
},
"itemsPerPage": {
"type": "integer",
"format": "int32",
"description": "Number of items per page in the current set of search results."
},
"totalResults": {
"type": "integer",
"format": "int32",
"description": "Total number of results."
},
"meta": {
"type": "object",
"description": "Additional metadata for the Role List.",
"properties": {
"createdDate": {
"type": "string",
"description": "Date when the Role List was created."
}
}
}
}
}
]Bad request
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Unauthorized
copied![
{
"type": "object",
"description": "Unauthorized response schema.",
"properties": {
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp of the response."
},
"status": {
"type": "integer",
"description": "The HTTP status code (e.g., 401)."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
},
"path": {
"type": "string",
"description": "The request path that led to this response."
}
}
}
]Forbidden
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Internal Server Error
copied![
{
"type": "object",
"description": "Error response schema.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of supported SCIM error schemas."
},
"status": {
"type": "string",
"description": "The HTTP status code."
},
"scimType": {
"type": "string",
"description": "SCIM-specific error type."
},
"detail": {
"type": "string",
"description": "Detailed error message or information."
}
}
}
]Responses
| Status | Description | Schema |
|---|---|---|
| 200 | Successful response | ScimRoleList |
| 400 | Bad request | ErrorResponse |
| 401 | Unauthorized | UnauthorizedResponse |
| 403 | Forbidden | ErrorResponse |
| 500 | Internal Server Error | ErrorResponse |
Schemas
copied!{
"type": "object",
"properties": {
"enabled": {
"type": "boolean",
"description": "Flag to indicate if the search functionality is enabled."
},
"searchKeyword": {
"type": "string",
"description": "Keyword to search for in user data."
},
"userIds": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of user IDs to include in the search."
},
"product": {
"type": "object",
"properties": {
"productTitle": {
"type": "string",
"description": "Title of the product associated with the user."
},
"roles": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of roles associated with the product."
}
},
"description": "Product-related search criteria."
},
"dateFilter": {
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "Name of the date filter."
},
"startDate": {
"type": "string",
"description": "Start date for the date filter."
},
"endDate": {
"type": "string",
"description": "End date for the date filter."
}
}
},
"description": "List of date filters for the search."
},
"usernames": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of usernames to include in the search."
},
"sortColumn": {
"type": "string",
"description": "Column to sort the search results by."
},
"sortOrder": {
"type": "string",
"description": "Order to sort the search results (ascending or descending)."
},
"selectors": {
"type": "array",
"items": {
"type": "string"
},
"description": "List of selectors for the search."
},
"from": {
"type": "string",
"description": "Starting point for paginated results."
},
"size": {
"type": "string",
"description": "Number of results to return per page."
},
"is2FAEnabled": {
"type": "boolean",
"description": "Flag to indicate if 2FA is enabled for the users."
}
},
"description": "Request object for user search."
}Properties
| Name | Type | Description |
|---|---|---|
| enabled | boolean | Flag to indicate if the search functionality is enabled. |
| searchKeyword | string | Keyword to search for in user data. |
| userIds | [string] | List of user IDs to include in the search. |
| product | object | Product-related search criteria. |
| productTitle | string | Title of the product associated with the user. |
| roles | [string] | List of roles associated with the product. |
| dateFilter | [object] | List of date filters for the search. |
| name | string | Name of the date filter. |
| startDate | string | Start date for the date filter. |
| endDate | string | End date for the date filter. |
| usernames | [string] | List of usernames to include in the search. |
| sortColumn | string | Column to sort the search results by. |
| sortOrder | string | Order to sort the search results (ascending or descending). |
| selectors | [string] | List of selectors for the search. |
| from | string | Starting point for paginated results. |
| size | string | Number of results to return per page. |
| is2FAEnabled | boolean | Flag to indicate if 2FA is enabled for the users. |
copied!{
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"description": "ID of the user."
},
"userName": {
"type": "string",
"description": "Username of the user."
},
"firstName": {
"type": "string",
"description": "First name of the user."
},
"lastName": {
"type": "string",
"description": "Last name of the user."
},
"realm": {
"type": "string",
"description": "Realm of the user."
},
"email": {
"type": "string",
"description": "Email address of the user."
},
"userDesc": {
"type": "string",
"description": "Description of the user."
},
"enabled": {
"type": "boolean",
"description": "Flag indicating if the user is enabled."
},
"userType": {
"type": "string",
"description": "Type of the user."
},
"legacyUserId": {
"type": "string",
"description": "Legacy ID of the user."
},
"isEmailVerified": {
"type": "boolean",
"description": "Flag indicating if the user's email is verified."
},
"createdOn": {
"type": "number",
"description": "Timestamp indicating when the user was created."
},
"appAccessCount": {
"type": "number",
"description": "Count of applications the user has access to."
},
"groupCount": {
"type": "number",
"description": "Count of groups the user is a part of."
},
"configureOtp": {
"type": "boolean",
"description": "Flag indicating if OTP is configured for the user."
},
"orgName": {
"type": "string",
"description": "Name of the organization associated with the user."
}
}
},
"description": "List of user data."
},
"status": {
"type": "boolean",
"description": "Status of the search operation."
},
"errorCode": {
"type": "string",
"description": "The HTTP status code."
},
"errorDesc": {
"type": "string",
"description": "Description of the error."
},
"warningDesc": {
"type": "string",
"description": "Description of any warnings."
},
"from": {
"type": "number",
"description": "Starting index of the returned results."
},
"size": {
"type": "number",
"description": "Number of results returned in the response."
},
"total": {
"type": "number",
"description": "Total number of results matching the search criteria."
}
},
"description": "Response object for user search."
}Properties
| Name | Type | Description |
|---|---|---|
| data | [object] | List of user data. |
| id | string | ID of the user. |
| userName | string | Username of the user. |
| firstName | string | First name of the user. |
| lastName | string | Last name of the user. |
| realm | string | Realm of the user. |
| string | Email address of the user. | |
| userDesc | string | Description of the user. |
| enabled | boolean | Flag indicating if the user is enabled. |
| userType | string | Type of the user. |
| legacyUserId | string | Legacy ID of the user. |
| isEmailVerified | boolean | Flag indicating if the user's email is verified. |
| createdOn | number | Timestamp indicating when the user was created. |
| appAccessCount | number | Count of applications the user has access to. |
| groupCount | number | Count of groups the user is a part of. |
| configureOtp | boolean | Flag indicating if OTP is configured for the user. |
| orgName | string | Name of the organization associated with the user. |
| status | boolean | Status of the search operation. |
| errorCode | string | The HTTP status code. |
| errorDesc | string | Description of the error. |
| warningDesc | string | Description of any warnings. |
| from | number | Starting index of the returned results. |
| size | number | Number of results returned in the response. |
| total | number | Total number of results matching the search criteria. |
copied!{
"type": "object",
"description": "Unauthorized response schema.",
"properties": {
"timestamp": {
"type": "string",
"format": "date-time",
"description": "The timestamp of the response."
},
"status": {
"type": "integer",
"description": "The HTTP status code (e.g., 401)."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
},
"path": {
"type": "string",
"description": "The request path that led to this response."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| timestamp | string | The timestamp of the response. |
| status | integer | The HTTP status code (e.g., 401). |
| error | string | The error type or description. |
| message | string | Additional information or error message. |
| path | string | The request path that led to this response. |
copied!{
"type": "object",
"description": "Error response schema.",
"properties": {
"status": {
"type": "integer",
"description": "The HTTP status code."
},
"error": {
"type": "string",
"description": "The error type or description."
},
"message": {
"type": "string",
"description": "Additional information or error message."
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| schemas | [string] | List of supported SCIM error schemas. |
| status | string | The HTTP status code. |
| scimType | string | SCIM-specific error type. |
| detail | string | Detailed error message or information. |
copied!{
"type": "object",
"description": "Schema representing a SCIM User.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"id": {
"type": "string",
"description": "The unique identifier for the User."
},
"userName": {
"type": "string",
"description": "Unique identifier for the User, typically used by the user to directly authenticate to the service provider."
},
"name": {
"type": "object",
"description": "User's name.",
"properties": {
"familyName": {
"type": "string",
"description": "User's family name."
},
"givenName": {
"type": "string",
"description": "User's given name."
},
"middleName": {
"type": "string",
"description": "User's middle name."
}
}
},
"displayName": {
"type": "string",
"description": "User's display name."
},
"title": {
"type": "string",
"description": "User's title or job position."
},
"userType": {
"type": "string",
"description": "Type of user."
},
"active": {
"type": "boolean",
"description": "Indicates whether the user is active."
},
"emails": {
"type": "array",
"description": "User's email addresses.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Email address."
},
"type": {
"type": "string",
"description": "Type of email address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the email address is the primary one."
}
}
}
},
"photos": {
"type": "array",
"description": "User's photos.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "URL of the photo."
},
"type": {
"type": "string",
"description": "Type of photo."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the photo is the primary one."
}
}
}
},
"phoneNumbers": {
"type": "array",
"description": "User's phone numbers.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Phone number."
},
"type": {
"type": "string",
"description": "Type of phone number."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the phone number is the primary one."
}
}
}
},
"addresses": {
"type": "array",
"description": "User's addresses.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Type of address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the address is the primary one."
},
"formatted": {
"type": "string",
"description": "Formatted address."
},
"locality": {
"type": "string",
"description": "Locality or city of the address."
},
"region": {
"type": "string",
"description": "Region or state of the address."
}
}
}
},
"roles": {
"type": "array",
"description": "An array representing the roles assigned to the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The name of the role assigned to the user."
},
"type": {
"type": "string",
"description": "The product associated with the role."
}
}
}
},
"groups": {
"type": "array",
"description": "An array representing the tenants associated with the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The unique refnum identifying the tenant."
},
"display": {
"type": "string",
"description": "The name of the tenant."
}
}
}
},
"entitlements": {
"type": "array",
"description": "User's entitlements.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Entitlement value."
},
"display": {
"type": "string",
"description": "Display name of the entitlement."
},
"type": {
"type": "string",
"description": "Type of entitlement."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| schemas | [string] | An array of strings indicating the available schemas for the resource. |
| id | string | The unique identifier for the User. |
| userName | string | Unique identifier for the User, typically used by the user to directly authenticate to the service provider. |
| name | object | User's name. |
| familyName | string | User's family name. |
| givenName | string | User's given name. |
| middleName | string | User's middle name. |
| displayName | string | User's display name. |
| title | string | User's title or job position. |
| userType | string | Type of user. |
| active | boolean | Indicates whether the user is active. |
| emails | [object] | User's email addresses. |
| value | string | Email address. |
| type | string | Type of email address. |
| primary | boolean | Indicates whether the email address is the primary one. |
| photos | [object] | User's photos. |
| value | string | URL of the photo. |
| type | string | Type of photo. |
| primary | boolean | Indicates whether the photo is the primary one. |
| phoneNumbers | [object] | User's phone numbers. |
| value | string | Phone number. |
| type | string | Type of phone number. |
| primary | boolean | Indicates whether the phone number is the primary one. |
| addresses | [object] | User's addresses. |
| type | string | Type of address. |
| primary | boolean | Indicates whether the address is the primary one. |
| formatted | string | Formatted address. |
| locality | string | Locality or city of the address. |
| region | string | Region or state of the address. |
| roles | [object] | An array representing the roles assigned to the user. |
| value | string | The name of the role assigned to the user. |
| type | string | The product associated with the role. |
| groups | [object] | An array representing the tenants associated with the user. |
| value | string | The unique refnum identifying the tenant. |
| display | string | The name of the tenant. |
| entitlements | [object] | User's entitlements. |
| value | string | Entitlement value. |
| display | string | Display name of the entitlement. |
| type | string | Type of entitlement. |
copied!{
"type": "object",
"description": "Schema representing a list of SCIM Users.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"id": {
"type": "string",
"description": "The unique identifier for the User List."
},
"Resources": {
"type": "array",
"description": "List of SCIM Users.",
"items": {
"ScimUser": {
"type": "object",
"description": "Schema representing a SCIM User.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"id": {
"type": "string",
"description": "The unique identifier for the User."
},
"userName": {
"type": "string",
"description": "Unique identifier for the User, typically used by the user to directly authenticate to the service provider."
},
"name": {
"type": "object",
"description": "User's name.",
"properties": {
"familyName": {
"type": "string",
"description": "User's family name."
},
"givenName": {
"type": "string",
"description": "User's given name."
},
"middleName": {
"type": "string",
"description": "User's middle name."
}
}
},
"displayName": {
"type": "string",
"description": "User's display name."
},
"title": {
"type": "string",
"description": "User's title or job position."
},
"userType": {
"type": "string",
"description": "Type of user."
},
"active": {
"type": "boolean",
"description": "Indicates whether the user is active."
},
"emails": {
"type": "array",
"description": "User's email addresses.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Email address."
},
"type": {
"type": "string",
"description": "Type of email address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the email address is the primary one."
}
}
}
},
"photos": {
"type": "array",
"description": "User's photos.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "URL of the photo."
},
"type": {
"type": "string",
"description": "Type of photo."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the photo is the primary one."
}
}
}
},
"phoneNumbers": {
"type": "array",
"description": "User's phone numbers.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Phone number."
},
"type": {
"type": "string",
"description": "Type of phone number."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the phone number is the primary one."
}
}
}
},
"addresses": {
"type": "array",
"description": "User's addresses.",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"description": "Type of address."
},
"primary": {
"type": "boolean",
"description": "Indicates whether the address is the primary one."
},
"formatted": {
"type": "string",
"description": "Formatted address."
},
"locality": {
"type": "string",
"description": "Locality or city of the address."
},
"region": {
"type": "string",
"description": "Region or state of the address."
}
}
}
},
"roles": {
"type": "array",
"description": "An array representing the roles assigned to the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The name of the role assigned to the user."
},
"type": {
"type": "string",
"description": "The product associated with the role."
}
}
}
},
"groups": {
"type": "array",
"description": "An array representing the tenants associated with the user.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "The unique refnum identifying the tenant."
},
"display": {
"type": "string",
"description": "The name of the tenant."
}
}
}
},
"entitlements": {
"type": "array",
"description": "User's entitlements.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Entitlement value."
},
"display": {
"type": "string",
"description": "Display name of the entitlement."
},
"type": {
"type": "string",
"description": "Type of entitlement."
}
}
}
}
}
}
}
},
"startIndex": {
"type": "integer",
"format": "int32",
"description": "Index of the first result in the current set of search results."
},
"itemsPerPage": {
"type": "integer",
"format": "int32",
"description": "Number of items per page in the current set of search results."
},
"totalResults": {
"type": "integer",
"format": "int32",
"description": "Total number of results."
},
"externalId": {
"type": "string",
"description": "External identifier for the User List."
},
"meta": {
"type": "object",
"description": "Additional metadata for the User List.",
"properties": {
"createdDate": {
"type": "string",
"description": "Date when the User List was created."
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| schemas | [string] | An array of strings indicating the available schemas for the resource. |
| id | string | The unique identifier for the User List. |
| Resources | array | ScimUser |
| startIndex | integer | Index of the first result in the current set of search results. |
| itemsPerPage | integer | Number of items per page in the current set of search results. |
| totalResults | integer | Total number of results. |
| externalId | string | External identifier for the User List. |
| meta | object | Additional metadata for the User List. |
| createdDate | string | Date when the User List was created. |
copied!{
"type": "object",
"description": "Schema representing a SCIM Patch Request.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"operations": {
"type": "array",
"description": "List of patch operations.",
"items": {
"type": "object",
"properties": {
"op": {
"type": "string",
"description": "Operation type (add, remove, replace)."
},
"path": {
"type": "string",
"description": "Path to the attribute being patched."
},
"value": {
"description": "New value for the attribute being patched."
}
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| schemas | [string] | An array of strings indicating the available schemas for the resource. |
| operations | [object] | List of patch operations. |
| op | string | Operation type (add, remove, replace). |
| path | string | Path to the attribute being patched. |
copied!{
"type": "object",
"description": "Schema representing a list of SCIM Groups.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"Resources": {
"type": "array",
"description": "List of SCIM Groups.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Group value."
},
"display": {
"type": "string",
"description": "Display name of the group."
}
}
}
},
"startIndex": {
"type": "integer",
"format": "int32",
"description": "Index of the first result in the current set of search results."
},
"itemsPerPage": {
"type": "integer",
"format": "int32",
"description": "Number of items per page in the current set of search results."
},
"totalResults": {
"type": "integer",
"format": "int32",
"description": "Total number of results."
},
"meta": {
"type": "object",
"description": "Additional metadata for the Group List.",
"properties": {
"createdDate": {
"type": "string",
"description": "Date when the Group List was created."
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| schemas | [string] | An array of strings indicating the available schemas for the resource. |
| Resources | [object] | List of SCIM Groups. |
| value | string | Group value. |
| display | string | Display name of the group. |
| startIndex | integer | Index of the first result in the current set of search results. |
| itemsPerPage | integer | Number of items per page in the current set of search results. |
| totalResults | integer | Total number of results. |
| meta | object | Additional metadata for the Group List. |
| createdDate | string | Date when the Group List was created. |
copied!{
"type": "object",
"description": "Schema representing a list of SCIM Roles.",
"properties": {
"schemas": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of strings indicating the available schemas for the resource."
},
"Resources": {
"type": "array",
"description": "List of SCIM Roles.",
"items": {
"type": "object",
"properties": {
"value": {
"type": "string",
"description": "Role value."
},
"display": {
"type": "string",
"description": "Display name of the role."
}
}
}
},
"startIndex": {
"type": "integer",
"format": "int32",
"description": "Index of the first result in the current set of search results."
},
"itemsPerPage": {
"type": "integer",
"format": "int32",
"description": "Number of items per page in the current set of search results."
},
"totalResults": {
"type": "integer",
"format": "int32",
"description": "Total number of results."
},
"meta": {
"type": "object",
"description": "Additional metadata for the Role List.",
"properties": {
"createdDate": {
"type": "string",
"description": "Date when the Role List was created."
}
}
}
}
}Properties
| Name | Type | Description |
|---|---|---|
| schemas | [string] | An array of strings indicating the available schemas for the resource. |
| Resources | [object] | List of SCIM Roles. |
| value | string | Role value. |
| display | string | Display name of the role. |
| startIndex | integer | Index of the first result in the current set of search results. |
| itemsPerPage | integer | Number of items per page in the current set of search results. |
| totalResults | integer | Total number of results. |
| meta | object | Additional metadata for the Role List. |
| createdDate | string | Date when the Role List was created. |
